use std::fs;

fn main() {
    let dir_name = "temp_dir";
    let file_name = "temp_dir/hello.txt";
    fs::remove_dir_all(dir_name).unwrap();
    fs::create_dir(dir_name).unwrap();
    fs::write(file_name, "Hello").unwrap();
    fs::remove_file(file_name).unwrap();
    fs::remove_dir(dir_name).unwrap();
}